Bug 1945983 - Ansible no longer converging on enabling firewalld ports
Summary: Ansible no longer converging on enabling firewalld ports
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: ansible
Version: 34
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Kevin Fenzi
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2021-04-03 08:46 UTC by cube00
Modified: 2021-07-09 00:42 UTC (History)
5 users (show)

Fixed In Version: ansible-2.9.23-1.el8 ansible-2.9.23-1.fc34 ansible-2.9.23-1.fc33 ansible-2.9.23-1.el7
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2021-06-26 00:35:07 UTC
Type: Bug


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Github ansible-collections ansible.posix issues 179 0 None open firewalld task is not idempotent for adding ports 2021-04-24 19:13:35 UTC

Description cube00 2021-04-03 08:46:11 UTC
Description of problem:
Ansible is no longer converging on enabling firewalld ports instead erroring out if the port is already enabled

Version-Release number of selected component (if applicable):
ansible-2.9.18-1.fc34.src.rpm

How reproducible:
Everytime

Steps to Reproduce:
1. Create a playbook with a firewalld rule to enable a port
    - firewalld: { service: 6543-6544/tcp, permanent: yes, immediate: yes, state: enabled }

2. Run playbook

Actual results:
fatal: [localhost]: FAILED! => {"changed": false, "msg": "ERROR: Exception caught: org.fedoraproject.FirewallD1.Exception: ALREADY_ENABLED: '6543-6544:tcp' already in 'FedoraWorkstation' Permanent and Non-Permanent(immediate) operation"}

Expected results:
If port already exists outcome should be "ok" not an error

Additional info:
Last seen working in Fedora 32

Comment 1 cube00 2021-04-03 08:49:17 UTC
Correction to the playbook above, I was using:
      firewalld: { port: 6543-6544/tcp, permanent: yes, immediate: yes, state: enabled }

Comment 2 Kevin Fenzi 2021-04-24 19:13:35 UTC
This appears to be: https://github.com/ansible-collections/ansible.posix/issues/179 upstream.

Comment 3 Abhijeet Kasurde 2021-06-03 13:43:21 UTC
Kevin, would you be able to test https://github.com/ansible-collections/ansible.posix/pull/199 and let me know? Thanks.

Comment 4 Kevin Fenzi 2021-06-03 15:52:22 UTC
Well, I wasn't seeing it, but perhaps the reporter could try?

Comment 5 Fedora Update System 2021-06-23 00:26:00 UTC
FEDORA-EPEL-2021-1ad14f84b0 has been submitted as an update to Fedora EPEL 7. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2021-1ad14f84b0

Comment 6 Fedora Update System 2021-06-23 00:26:01 UTC
FEDORA-2021-4ad7c70d71 has been submitted as an update to Fedora 33. https://bodhi.fedoraproject.org/updates/FEDORA-2021-4ad7c70d71

Comment 7 Fedora Update System 2021-06-23 00:26:02 UTC
FEDORA-EPEL-2021-5cd3c9b775 has been submitted as an update to Fedora EPEL 8. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2021-5cd3c9b775

Comment 8 Fedora Update System 2021-06-23 00:26:03 UTC
FEDORA-2021-574ee4dd30 has been submitted as an update to Fedora 34. https://bodhi.fedoraproject.org/updates/FEDORA-2021-574ee4dd30

Comment 9 Fedora Update System 2021-06-24 16:55:14 UTC
FEDORA-2021-574ee4dd30 has been pushed to the Fedora 34 testing repository.
Soon you'll be able to install the update with the following command:
`sudo dnf upgrade --enablerepo=updates-testing --advisory=FEDORA-2021-574ee4dd30`
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2021-574ee4dd30

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 10 Fedora Update System 2021-06-24 17:03:28 UTC
FEDORA-EPEL-2021-5cd3c9b775 has been pushed to the Fedora EPEL 8 testing repository.

You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2021-5cd3c9b775

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 11 Fedora Update System 2021-06-24 17:04:45 UTC
FEDORA-EPEL-2021-1ad14f84b0 has been pushed to the Fedora EPEL 7 testing repository.

You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2021-1ad14f84b0

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 12 Fedora Update System 2021-06-24 17:38:16 UTC
FEDORA-2021-4ad7c70d71 has been pushed to the Fedora 33 testing repository.
Soon you'll be able to install the update with the following command:
`sudo dnf upgrade --enablerepo=updates-testing --advisory=FEDORA-2021-4ad7c70d71`
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2021-4ad7c70d71

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 13 Fedora Update System 2021-06-26 00:35:07 UTC
FEDORA-EPEL-2021-5cd3c9b775 has been pushed to the Fedora EPEL 8 stable repository.
If problem still persists, please make note of it in this bug report.

Comment 14 Fedora Update System 2021-07-02 01:08:21 UTC
FEDORA-2021-574ee4dd30 has been pushed to the Fedora 34 stable repository.
If problem still persists, please make note of it in this bug report.

Comment 15 Fedora Update System 2021-07-02 01:20:36 UTC
FEDORA-2021-4ad7c70d71 has been pushed to the Fedora 33 stable repository.
If problem still persists, please make note of it in this bug report.

Comment 16 Fedora Update System 2021-07-09 00:42:14 UTC
FEDORA-EPEL-2021-1ad14f84b0 has been pushed to the Fedora EPEL 7 stable repository.
If problem still persists, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.